GJNIH(1)

NAME
gjnih - generate JNI header files from Java class files

SYNOPSIS
gjnih [-stubs] [-jni]
    [-force] [-old] [-trace] [-J option]
    [-add text] [-append text] [-friend text]
    [-preprend text]
    [--classpath=path] [--CLASSPATH=path]
    [--bootclasspath=path]
    [-Idir...] [-d dir...]
    [-o file] [-td dir]
    [-M] [-MM] [-MD] [-MMD]
    [--version] [--help] [-v] [--verbose]
    classname...

DESCRIPTION
The "gjnih" program is used to generate JNI header files from class files. Running it is equivalent to running "gcjh -jni".

OPTIONS

-stubs
    This causes "gjnih" to generate stub files instead of header files. By default the stub file will be named after the class, with a suffix of .c.

-jni
    This option specifies the default behavior which is to generate a JNI header or stub.

-force
    This option forces "gjnih" to write the output file.

-old
    This option is accepted but ignored for compatibility.

-trace
    This option is accepted but ignored for compatibility.

-J option
    This option is accepted but ignored for compatibility.

-add text
    Inserts text into the class body. This is ignored in by "gjnih".

-append text
    Inserts text into the header file after the class declaration. This is ignored in by "gjnih".

-friend text
    Inserts text into the class as a "friend" declaration. This is ignored by "gjnih".

-prepend text
    Inserts text into the header file before the class declaration. This is ignored in by "gjnih".

--classpath=path
--CLASSPATH=path
--bootclasspath=path
-Idirectory
-d directory
-o file
    These options are all identical to the corresponding gcj options.

-o file
    Sets the output file name. This cannot be used if there is more than one class on the command line.

-td directory
    Sets the name of the directory to use for temporary files.

-M  Print all dependencies to stdout; suppress ordinary output.

-MM Print non-system dependencies to stdout; suppress ordinary output.

-MD Print all dependencies to stdout.

-MMD
    Print non-system dependencies to stdout.

--help
    Print help about "gjnih" and exit. No further processing is done.

--version
    Print version information for "gjnih" and exit. No further processing is done.

-v, --verbose
    Print extra information while running.

All remaining options are considered to be names of classes.

SEE ALSO
gcc(1), gcj(1), gcjh(1), gij(1), jv-scan(1), jcf-dump(1), gfdl(7), and the Info entries for gcj and gcc.

COPYRIGHT
Copyright (c) 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with the Invariant Sections being "GNU General Public License", the Front-Cover texts being (a) (see below), and with the Back-Cover Texts being (b) (see below). A copy of the license is included in the man page gfdl(7).

(a) The FSF's Front-Cover Text is:

     A GNU Manual

(b) The FSF's Back-Cover Text is:

     You have freedom to copy and modify this GNU Manual, like GNU
     software.  Copies published by the Free Software Foundation raise
     funds for GNU development.